Passing Shot (c) 1988 Sega.


- TECHNICAL -
Sega System 16B hardware
Game ID : 317-0070 / 317-0080
Main CPU : 68000 (@ 10 Mhz)
Sound CPU : Z80 (@ 5 Mhz)
Sound Chips : YM2151 (@ 4 Mhz), UPD7759 (@ 640 Khz)
Screen orientation : Vertical
Video resolution : 224 x 320 pixels
Screen refresh : 60.00 Hz
Palette colors : 6144
Players : 2
Control : 8-way joystick
Buttons : 4

- PORTS -
* Computers :
Atari ST (1988)
Commodore C64 (1989)
Commodore Amiga (1989)
Sinclair ZX Spectrum (1989)
Amstrad CPC (1989)
